Technical FAQs

Ask a Question

Which software is required for configuration of Magelis GTU series?

 Magelis GTU is compatible with Vijeo Designer version V6.2 SP1 or later &  with Vijeo XD version 1.0 or later. 
 
Was this helpful?
What can we do to improve the information ?